" VIM Syntax file for txr
" Kaz Kylheku <kaz@kylheku.com>

" INSTALL-HOWTO:
"
" 1. Create the directory .vim/syntax in your home directory and
"    put the files txr.vim and tl.vim into this directory.
" 2. In your .vimrc, add this command to associate *.txr, *.tl and *.tlo
"    files with the txr and tl filetypes:
"    :au BufRead,BufNewFile *.txr set filetype=txr | set lisp
"    :au BufRead,BufNewFile *.tl,*.tlo set filetype=tl | set lisp
"
" If you want syntax highlighting to be on automatically (for any language)
" you need to add ":syntax on" in your .vimrc also. But you knew that already!
"
" This file is generated by the genvim.txr script in the TXR source tree.

syn case match
syn spell toplevel

setlocal iskeyword=a-z,A-Z,48-57,!,$,%,&,*,+,-,<,=,>,?,\\,_,\|,~,/,^

syn keyword tl_keyword contained %e% %fun% %pi% *
syn keyword tl_keyword contained *args* *args-eff* *args-full* *child-env*
syn keyword tl_keyword contained *compile-opts* *doc-url* *expand-hook* *filters*
syn keyword tl_keyword contained *full-args* *gensym-counter* *hash-seed* *lib-version*
syn keyword tl_keyword contained *listener-auto-compound-p* *listener-auto-infix-p* *listener-greedy-eval-p* *listener-hist-len*
syn keyword tl_keyword contained *listener-ignore-eof* *listener-multi-line-p* *listener-pprint-p* *listener-sel-inclusive-p*
syn keyword tl_keyword contained *load-args* *load-hooks* *load-path* *load-search-dirs*
syn keyword tl_keyword contained *match-macro* *opt-level* *package* *package-alist*
syn keyword tl_keyword contained *param-macro* *place-clobber-expander* *place-delete-expander* *place-macro*
syn keyword tl_keyword contained *place-update-expander* *pprint-flo-format* *print-base* *print-circle*
syn keyword tl_keyword contained *print-flo-digits* *print-flo-format* *print-flo-precision* *print-json-format*
syn keyword tl_keyword contained *print-json-type* *random-state* *random-warmup* *read-bad-json*
syn keyword tl_keyword contained *read-json-int* *read-unknown-structs* *rec-source-loc* *stddebug*
syn keyword tl_keyword contained *stderr* *stdin* *stdlog* *stdnull*
syn keyword tl_keyword contained *stdout* *struct-clause-expander* *trace-output* *tree-fun-whitelist*
syn keyword tl_keyword contained *txr-version* *unhandled-hook* + -
syn keyword tl_keyword contained / /= : :=
syn keyword tl_keyword contained :abandoned :abs :addr :all
syn keyword tl_keyword contained :android :apf :append :args
syn keyword tl_keyword contained :atime :auto :awk-again :awk-file
syn keyword tl_keyword contained :awk-rec :begin :begin-file :blksize
syn keyword tl_keyword contained :blocks :bool :byte-oriented :cdigit
syn keyword tl_keyword contained :chars :cint :clean :close
syn keyword tl_keyword contained :compile :continue :counter :cspace
syn keyword tl_keyword contained :csv :ctime :cword-char :cygnal
syn keyword tl_keyword contained :cygwin :dec :decline :delegate
syn keyword tl_keyword contained :dev :digit :downcase :end
syn keyword tl_keyword contained :end-file :env :eq-based :eql-based
syn keyword tl_keyword contained :equal-based :error :explicit-no :fallback
syn keyword tl_keyword contained :fd :fence :fields :filter
syn keyword tl_keyword contained :fini :finish :float :form
syn keyword tl_keyword contained :from-current :from-end :from-start :from_html
syn keyword tl_keyword contained :frombase64 :frombase64url :fromhtml :frompercent
syn keyword tl_keyword contained :fromurl :fun :function :gap
syn keyword tl_keyword contained :gid :greedy :hex :hextoint
syn keyword tl_keyword contained :inf :infix :inherit :init
syn keyword tl_keyword contained :ino :inp :inputs :instance
syn keyword tl_keyword contained :into :key :left :let
syn keyword tl_keyword contained :lfilt :lines :linux :list
syn keyword tl_keyword contained :lists :local :longest :macos
syn keyword tl_keyword contained :macro :mandatory :mass-delegate :match
syn keyword tl_keyword contained :maxgap :maxtimes :method :mid
syn keyword tl_keyword contained :mingap :mintimes :mode :mtime
syn keyword tl_keyword contained :name :named :next-spec :nlink
syn keyword tl_keyword contained :noclose :nothrow :oct :ok
syn keyword tl_keyword contained :openbsd :outf :outp :output
syn keyword tl_keyword contained :owner :perms :postfini :postfix
syn keyword tl_keyword contained :postinit :prefix :prio :rdev
syn keyword tl_keyword contained :real-time :reflect :repeat-spec :resolve
syn keyword tl_keyword contained :rfilt :right :set :set-file
syn keyword tl_keyword contained :shortest :size :solaris :solaris10
syn keyword tl_keyword contained :space :standard :static :str
syn keyword tl_keyword contained :string :symacro :symlinks :text
syn keyword tl_keyword contained :times :tlist :to_html :tobase64
syn keyword tl_keyword contained :tobase64url :tofloat :tohtml :tohtml*
syn keyword tl_keyword contained :toint :tonumber :topercent :tourl
syn keyword tl_keyword contained :trace :uid :unknown :upcase
syn keyword tl_keyword contained :use :use-from :use-syms :use-syms-as
syn keyword tl_keyword contained :userdata :var :vars :visited
syn keyword tl_keyword contained :warn :weak-and :weak-keys :weak-or
syn keyword tl_keyword contained :weak-vals :whole :word-char :wrap
syn keyword tl_keyword contained < <= = >
syn keyword tl_keyword contained >= abort abs abs-path-p
syn keyword tl_keyword contained acons acons-new aconsql-new acos
syn keyword tl_keyword contained acosh add-suffix ado af-inet
syn keyword tl_keyword contained af-inet6 af-unix af-unspec ai-addrconfig
syn keyword tl_keyword contained ai-all ai-canonname ai-numerichost ai-numericserv
syn keyword tl_keyword contained ai-passive ai-v4mapped alet align
syn keyword tl_keyword contained alignof alist-nremove alist-remove all
syn keyword tl_keyword contained allocate-struct and andf ap
syn keyword tl_keyword contained apf append append* append-each
syn keyword tl_keyword contained append-each* append-each-prod append-each-prod* append-match-case-products
syn keyword tl_keyword contained append-match-cases append-match-products append-matches apply
syn keyword tl_keyword contained aret arithp array arraysize
syn keyword tl_keyword contained ash asin asinh assert
syn keyword tl_keyword contained assoc assq assql at-exit-call
syn keyword tl_keyword contained at-exit-do-not-call atan atan2 atanh
syn keyword tl_keyword contained atom awk base-name base64-decode
syn keyword tl_keyword contained base64-decode-buf base64-encode base64-stream-dec base64-stream-enc
syn keyword tl_keyword contained base64url-decode base64url-decode-buf base64url-encode base64url-stream-dec
syn keyword tl_keyword contained base64url-stream-enc bchar be-double be-float
syn keyword tl_keyword contained be-int16 be-int32 be-int64 be-uint16
syn keyword tl_keyword contained be-uint32 be-uint64 bexp bignum-len
syn keyword tl_keyword contained bignump bindable bit bitset
syn keyword tl_keyword contained blkcnt-t blksize-t block block*
syn keyword tl_keyword contained bool boundp bracket break-str
syn keyword tl_keyword contained brkint bs0 bs1 bsdly
syn keyword tl_keyword contained bstr bstr-d bstr-s buf
syn keyword tl_keyword contained buf-alloc-size buf-and buf-ash buf-binary-width
syn keyword tl_keyword contained buf-bit buf-bitset buf-carray buf-compress
syn keyword tl_keyword contained buf-count-ones buf-d buf-decompress buf-fash
syn keyword tl_keyword contained buf-get-char buf-get-cptr buf-get-double buf-get-float
syn keyword tl_keyword contained buf-get-i16 buf-get-i32 buf-get-i64 buf-get-i8
syn keyword tl_keyword contained buf-get-int buf-get-long buf-get-short buf-get-u16
syn keyword tl_keyword contained buf-get-u32 buf-get-u64 buf-get-u8 buf-get-uchar
syn keyword tl_keyword contained buf-get-uint buf-get-ulong buf-get-ushort buf-int
syn keyword tl_keyword contained buf-list buf-not buf-or buf-put-buf
syn keyword tl_keyword contained buf-put-char buf-put-cptr buf-put-double buf-put-float
syn keyword tl_keyword contained buf-put-i16 buf-put-i32 buf-put-i64 buf-put-i8
syn keyword tl_keyword contained buf-put-int buf-put-long buf-put-short buf-put-u16
syn keyword tl_keyword contained buf-put-u32 buf-put-u64 buf-put-u8 buf-put-uchar
syn keyword tl_keyword contained buf-put-uint buf-put-ulong buf-put-ushort buf-set-length
syn keyword tl_keyword contained buf-str buf-test buf-trim buf-trunc
syn keyword tl_keyword contained buf-uint buf-xor buf-xor-pattern buf-zero-p
syn keyword tl_keyword contained bufp build build-list buildn
syn keyword tl_keyword contained built-in-type-p butlast butlastn caaaaar
syn keyword tl_keyword contained caaaadr caaaar caaadar caaaddr
syn keyword tl_keyword contained caaadr caaar caadaar caadadr
syn keyword tl_keyword contained caadar caaddar caadddr caaddr
syn keyword tl_keyword contained caadr caar cadaaar cadaadr
syn keyword tl_keyword contained cadaar cadadar cadaddr cadadr
syn keyword tl_keyword contained cadar caddaar caddadr caddar
syn keyword tl_keyword contained cadddar caddddr cadddr caddr
syn keyword tl_keyword contained cadr call call-clobber-expander call-delete-expander
syn keyword tl_keyword contained call-finalizers call-super-fun call-super-method call-update-expander
syn keyword tl_keyword contained callf car carray carray-blank
syn keyword tl_keyword contained carray-buf carray-buf-sync carray-cptr carray-dup
syn keyword tl_keyword contained carray-free carray-get carray-getz carray-int
syn keyword tl_keyword contained carray-list carray-own carray-pun carray-put
syn keyword tl_keyword contained carray-putz carray-ref carray-refset carray-replace
syn keyword tl_keyword contained carray-set-length carray-sub carray-type carray-uint
syn keyword tl_keyword contained carray-vec carrayp case case*
syn keyword tl_keyword contained caseq caseq* caseql caseql*
syn keyword tl_keyword contained casequal casequal* cat-files cat-str
syn keyword tl_keyword contained cat-streams cat-vec catch catch*
syn keyword tl_keyword contained catch** catenated-stream-p catenated-stream-push cbaud
syn keyword tl_keyword contained cbaudex cbrt cdaaaar cdaaadr
syn keyword tl_keyword contained cdaaar cdaadar cdaaddr cdaadr
syn keyword tl_keyword contained cdaar cdadaar cdadadr cdadar
syn keyword tl_keyword contained cdaddar cdadddr cdaddr cdadr
syn keyword tl_keyword contained cdar cddaaar cddaadr cddaar
syn keyword tl_keyword contained cddadar cddaddr cddadr cddar
syn keyword tl_keyword contained cdddaar cdddadr cdddar cddddar
syn keyword tl_keyword contained cdddddr cddddr cdddr cddr
syn keyword tl_keyword contained cdr ceil ceil-rem chain
syn keyword tl_keyword contained chand char chdir chmod
syn keyword tl_keyword contained chmod-rec chown chown-rec chr-digit
syn keyword tl_keyword contained chr-int chr-isalnum chr-isalpha chr-isascii
syn keyword tl_keyword contained chr-isblank chr-iscntrl chr-isdigit chr-isgraph
syn keyword tl_keyword contained chr-islower chr-isprint chr-ispunct chr-isspace
syn keyword tl_keyword contained chr-isunisp chr-isupper chr-isxdigit chr-num
syn keyword tl_keyword contained chr-str chr-str-set chr-tolower chr-toupper
syn keyword tl_keyword contained chr-xdigit chrp clamp clean-file
syn keyword tl_keyword contained clear-dirty clear-error clear-mask clear-struct
syn keyword tl_keyword contained clearhash clocal clock-t clockid-t
syn keyword tl_keyword contained close close-lazy-streams close-stream closedir
syn keyword tl_keyword contained closelog closure cmp-str cmspar
syn keyword tl_keyword contained cnshuffle cnsort coded-length collect-each
syn keyword tl_keyword contained collect-each* collect-each-prod collect-each-prod* collect-match-case-products
syn keyword tl_keyword contained collect-match-cases comb combi command-get
syn keyword tl_keyword contained command-get-buf command-get-json command-get-jsons command-get-lines
syn keyword tl_keyword contained command-get-string command-put command-put-buf command-put-json
syn keyword tl_keyword contained command-put-jsons command-put-lines command-put-string compare-swap
syn keyword tl_keyword contained compile compile-defr-warning compile-error compile-file
syn keyword tl_keyword contained compile-only compile-toplevel compile-update-file compile-warning
syn keyword tl_keyword contained compiler-let compl-span-str cond conda
syn keyword tl_keyword contained condlet cons cons-count cons-find
syn keyword tl_keyword contained conses conses* consp constantp
syn keyword tl_keyword contained contain[s] copy copy-alist copy-buf
syn keyword tl_keyword contained copy-carray copy-cons copy-cptr copy-file
syn keyword tl_keyword contained copy-files copy-fun copy-hash copy-hash-iter
syn keyword tl_keyword contained copy-iter copy-list copy-path-rec copy-search-tree
syn keyword tl_keyword contained copy-str copy-struct copy-tnode copy-tree
syn keyword tl_keyword contained copy-tree-iter copy-vec copysign cos
syn keyword tl_keyword contained cosh count count-if count-until-match
syn keyword tl_keyword contained countq countql countqual cptr
syn keyword tl_keyword contained cptr-buf cptr-carray cptr-cast cptr-free
syn keyword tl_keyword contained cptr-get cptr-int cptr-null cptr-obj
syn keyword tl_keyword contained cptr-out cptr-size-hint cptr-type cptr-zap
syn keyword tl_keyword contained cptrp cr0 cr1 cr2
syn keyword tl_keyword contained cr3 crc32 crc32-stream crdly
syn keyword tl_keyword contained cread crtscts crypt cs5
syn keyword tl_keyword contained cs6 cs7 cs8 cshuffle
syn keyword tl_keyword contained csize csnsort csort csort-group
syn keyword tl_keyword contained cssort cstopb cum-norm-dist cxr
syn keyword tl_keyword contained cyr daemon dec defenum
syn keyword tl_keyword contained defer-warning defex deffi deffi-cb
syn keyword tl_keyword contained deffi-cb-unsafe deffi-struct deffi-sym deffi-type
syn keyword tl_keyword contained deffi-union deffi-var define-accessor define-modify-macro
syn keyword tl_keyword contained define-option-struct define-param-expander define-place-macro define-struct-clause
syn keyword tl_keyword contained define-struct-prelude defmacro defmatch defmeth
syn keyword tl_keyword contained defpackage defparm defparml defplace
syn keyword tl_keyword contained defset defstruct defsymacro defun
syn keyword tl_keyword contained defun-match defvar defvarl del
syn keyword tl_keyword contained delay delcons delete-package dev-t
syn keyword tl_keyword contained diff digits digpow dir-name
syn keyword tl_keyword contained dirstat disassemble display-width div
syn keyword tl_keyword contained divides dlclose dlopen dlsym
syn keyword tl_keyword contained dlsym-checked dlvsym dlvsym-checked do
syn keyword tl_keyword contained doc dohash doloop doloop*
syn keyword tl_keyword contained dotimes double downcase-str drem
syn keyword tl_keyword contained drop drop-until drop-while dt-blk
syn keyword tl_keyword contained dt-chr dt-dir dt-fifo dt-lnk
syn keyword tl_keyword contained dt-reg dt-sock dt-unknown dump-compiled-objects
syn keyword tl_keyword contained dump-deferred-warnings dup dupfd dwim
syn keyword tl_keyword contained e2big eacces each each*
syn keyword tl_keyword contained each-false each-match each-match-case each-match-case-product
syn keyword tl_keyword contained each-match-product each-prod each-prod* each-true
syn keyword tl_keyword contained eaddrinuse eaddrnotavail eafnosupport eagain
syn keyword tl_keyword contained ealready ebadf ebadmsg ebusy
syn keyword tl_keyword contained ecanceled ecase ecase* ecaseq
syn keyword tl_keyword contained ecaseq* ecaseql ecaseql* ecasequal
syn keyword tl_keyword contained ecasequal* echild echo echoctl
syn keyword tl_keyword contained echoe echok echoke echonl
syn keyword tl_keyword contained echoprt econnaborted econnrefused econnreset
syn keyword tl_keyword contained edeadlk edestaddrreq edom edquot
syn keyword tl_keyword contained eexist efault efbig ehostunreach
syn keyword tl_keyword contained eidrm eighth eilseq einprogress
syn keyword tl_keyword contained eintr einval eio eisconn
syn keyword tl_keyword contained eisdir elemsize elemtype eloop
syn keyword tl_keyword contained emfile emlink empty emsgsize
syn keyword tl_keyword contained emultihop enametoolong endgrent endp
syn keyword tl_keyword contained endpwent ends-with enetdown enetreset
syn keyword tl_keyword contained enetunreach enfile enobufs enodata
syn keyword tl_keyword contained enodev enoent enoexec enolck
syn keyword tl_keyword contained enolink enomem enomsg enoprotoopt
syn keyword tl_keyword contained enospc enosr enostr enosys
syn keyword tl_keyword contained enotconn enotdir enotempty enotrecoverable
syn keyword tl_keyword contained enotsock enotsup enotty ensure
syn keyword tl_keyword contained ensure-dir enum enumed enumlet
syn keyword tl_keyword contained env env-fbind env-fbindings env-hash
syn keyword tl_keyword contained env-next env-vbind env-vbindings enxio
syn keyword tl_keyword contained eopnotsupp eoverflow eownerdead eperm
syn keyword tl_keyword contained epipe eproto eprotonosupport eprototype
syn keyword tl_keyword contained eq eql equal equot
syn keyword tl_keyword contained erange erf erfc erofs
syn keyword tl_keyword contained errno error espipe esrch
syn keyword tl_keyword contained estale etime etimedout etxtbsy
syn keyword tl_keyword contained etypecase eval eval-only evenp
syn keyword tl_keyword contained ewouldblock exception-subtype-map exception-subtype-p exdev
syn keyword tl_keyword contained exec exit exit* exp
syn keyword tl_keyword contained exp10 exp2 expand expand*
syn keyword tl_keyword contained expand-hook-combine expand-left expand-right expand-with-free-refs
syn keyword tl_keyword contained expm1 expt exptmod extproc
syn keyword tl_keyword contained f$ f-dupfd f-dupfd-cloexec f-getfd
syn keyword tl_keyword contained f-getfl f-getlk f-rdlck f-setfd
syn keyword tl_keyword contained f-setfl f-setlk f-setlkw f-unlck
syn keyword tl_keyword contained f-wrlck f^ f^$ false
syn keyword tl_keyword contained fboundp fcntl fd-cloexec fdim
syn keyword tl_keyword contained ff0 ff1 ffdly ffi
syn keyword tl_keyword contained ffi-alignof ffi-arraysize ffi-call ffi-elemsize
syn keyword tl_keyword contained ffi-elemtype ffi-get ffi-in ffi-make-call-desc
syn keyword tl_keyword contained ffi-make-closure ffi-offsetof ffi-out ffi-put
syn keyword tl_keyword contained ffi-put-into ffi-size ffi-type-compile ffi-type-operator-p
syn keyword tl_keyword contained ffi-type-p ffi-typedef fifth file-append
syn keyword tl_keyword contained file-append-buf file-append-json file-append-jsons file-append-lines
syn keyword tl_keyword contained file-append-objects file-append-string file-get file-get-buf
syn keyword tl_keyword contained file-get-json file-get-jsons file-get-lines file-get-objects
syn keyword tl_keyword contained file-get-string file-place-buf file-put file-put-buf
syn keyword tl_keyword contained file-put-json file-put-jsons file-put-lines file-put-objects
syn keyword tl_keyword contained file-put-string fileno fill-buf fill-buf-adjust
syn keyword tl_keyword contained fill-carray fill-obj fill-vec filter-equal
syn keyword tl_keyword contained filter-string-tree finalize find find-frame
syn keyword tl_keyword contained find-frames find-frames-by-mask find-if find-max
syn keyword tl_keyword contained find-max-key find-maxes find-min find-min-key
syn keyword tl_keyword contained find-mins find-package find-struct-type find-symbol
syn keyword tl_keyword contained find-symbol-fb find-true finish-infix first
syn keyword tl_keyword contained fixnum-max fixnum-min fixnump flatcar
syn keyword tl_keyword contained flatcar* flatten flatten* flet
syn keyword tl_keyword contained flip flipargs flo-dig flo-down
syn keyword tl_keyword contained flo-epsilon flo-get-round-mode flo-int flo-max
syn keyword tl_keyword contained flo-max-dig flo-min flo-near flo-set-round-mode
syn keyword tl_keyword contained flo-str flo-up flo-zero float
syn keyword tl_keyword contained floatp floor floor-rem flow
syn keyword tl_keyword contained flush-stream flusho fmakunbound fmax
syn keyword tl_keyword contained fmin fmt fnm-casefold fnm-extmatch
syn keyword tl_keyword contained fnm-leading-dir fnm-noescape fnm-pathname fnm-period
syn keyword tl_keyword contained fnmatch for for* force
syn keyword tl_keyword contained force-break fork format fourth
syn keyword tl_keyword contained fr$ fr^ fr^$ from
syn keyword tl_keyword contained frr fsblkcnt-t fsfilcnt-t fstat
syn keyword tl_keyword contained ftw ftw-actionretval ftw-chdir ftw-continue
syn keyword tl_keyword contained ftw-d ftw-depth ftw-dnr ftw-dp
syn keyword tl_keyword contained ftw-f ftw-mount ftw-ns ftw-phys
syn keyword tl_keyword contained ftw-skip-siblings ftw-skip-subtree ftw-sl ftw-sln
syn keyword tl_keyword contained ftw-stop fun fun-fixparam-count fun-optparam-count
syn keyword tl_keyword contained fun-variadic func-get-env func-get-form func-get-name
syn keyword tl_keyword contained func-set-env functionp gamma gcd
syn keyword tl_keyword contained gen gen-hash-seed generate gensym
syn keyword tl_keyword contained gequal get-buf get-buf-from-stream get-byte
syn keyword tl_keyword contained get-char get-clobber-expander get-csv get-delete-expander
syn keyword tl_keyword contained get-delimited-string get-error get-error-str get-frames
syn keyword tl_keyword contained get-hash-userdata get-indent get-indent-mode get-json
syn keyword tl_keyword contained get-jsons get-line get-line-as-buf get-lines
syn keyword tl_keyword contained get-list-from-stream get-obj get-sig-handler get-stack-limit
syn keyword tl_keyword contained get-string get-string-from-stream get-update-expander getaddrinfo
syn keyword tl_keyword contained getegid getenv geteuid getgid
syn keyword tl_keyword contained getgrent getgrgid getgrnam getgroups
syn keyword tl_keyword contained gethash getitimer getopts getpid
syn keyword tl_keyword contained getppid getpwent getpwnam getpwuid
syn keyword tl_keyword contained getresgid getresuid getrlimit getuid
syn keyword tl_keyword contained gid-t ginterate giterate glob
syn keyword tl_keyword contained glob* glob-altdirfunc glob-brace glob-err
syn keyword tl_keyword contained glob-mark glob-nocheck glob-noescape glob-nomagic
syn keyword tl_keyword contained glob-nosort glob-onlydir glob-period glob-tilde
syn keyword tl_keyword contained glob-tilde-check glob-xnobrace go grade
syn keyword tl_keyword contained greater group-by group-map group-reduce
syn keyword tl_keyword contained gun handle handle* handler-bind
syn keyword tl_keyword contained hash hash-alist hash-begin hash-construct
syn keyword tl_keyword contained hash-count hash-diff hash-eql hash-equal
syn keyword tl_keyword contained hash-from-alist hash-from-pairs hash-invert hash-isec
syn keyword tl_keyword contained hash-isecp hash-join hash-keys hash-keys-of
syn keyword tl_keyword contained hash-list hash-map hash-next hash-pairs
syn keyword tl_keyword contained hash-peek hash-proper-subset hash-props hash-reset
syn keyword tl_keyword contained hash-revget hash-seq hash-subset hash-symdiff
syn keyword tl_keyword contained hash-uni hash-update hash-update-1 hash-userdata
syn keyword tl_keyword contained hash-values hash-zip hashp have
syn keyword tl_keyword contained hist-sort hist-sort-by hlet hlet*
syn keyword tl_keyword contained hmac-md5 hmac-sha1 hmac-sha256 html-decode
syn keyword tl_keyword contained html-encode html-encode* hupcl hypot
syn keyword tl_keyword contained iapply icanon icrnl id-t
syn keyword tl_keyword contained identity identity* ido iexten
syn keyword tl_keyword contained if if-match ifa iff
syn keyword tl_keyword contained iffi iflet ifx ignbrk
syn keyword tl_keyword contained igncr ignerr ignore ignpar
syn keyword tl_keyword contained ignwarn imaxbel improper-plist-to-alist in
syn keyword tl_keyword contained in-env-above in-package in-range in-range*
syn keyword tl_keyword contained in6addr-any in6addr-loopback in6addr-str inaddr-any
syn keyword tl_keyword contained inaddr-loopback inaddr-str inc inc-indent
syn keyword tl_keyword contained inc-indent-abs indent-code indent-data indent-foff
syn keyword tl_keyword contained indent-off inhash inlcr ino-t
syn keyword tl_keyword contained inpck int int-buf int-carray
syn keyword tl_keyword contained int-chr int-cptr int-flo int-ptr-t
syn keyword tl_keyword contained int-str int16 int32 int64
syn keyword tl_keyword contained int8 integerp intern intern-fb
syn keyword tl_keyword contained interp-fun-p interpose intmax-t intrinsic-fun-p
syn keyword tl_keyword contained inv-cum-norm invoke-catch ip ipf
syn keyword tl_keyword contained ipproto-ip ipproto-ipv6 ipproto-tcp ipproto-udp
syn keyword tl_keyword contained ipv6-join-group ipv6-leave-group ipv6-multicast-hops ipv6-multicast-if
syn keyword tl_keyword contained ipv6-multicast-loop ipv6-unicast-hops ipv6-v6only iread
syn keyword tl_keyword contained isatty isec isecp isig
syn keyword tl_keyword contained isqrt istrip iter-begin iter-cat
syn keyword tl_keyword contained iter-item iter-more iter-reset iter-step
syn keyword tl_keyword contained iterable iterp itimer-prof itimer-real
syn keyword tl_keyword contained itimer-virtual iuclc iutf8 ixany
syn keyword tl_keyword contained ixoff ixon j0 j1
syn keyword tl_keyword contained jmp-buf jn join join-with
syn keyword tl_keyword contained json juxt keep keep-if
syn keyword tl_keyword contained keep-if* keep-keys-if keep-match-case-products keep-match-cases
syn keyword tl_keyword contained keep-match-products keep-matches keepq keepql
syn keyword tl_keyword contained keepqual key key-t keyword-package
syn keyword tl_keyword contained keywordp kill labels lambda
syn keyword tl_keyword contained lambda-match last lazy-str lazy-str-force
syn keyword tl_keyword contained lazy-str-force-upto lazy-str-get-trailing-list lazy-stream-cons lazy-stringp
syn keyword tl_keyword contained lchown lcm lcons lcons-car
syn keyword tl_keyword contained lcons-cdr lcons-force lcons-fun lconsp
syn keyword tl_keyword contained ldexp ldiff ldo le-double
syn keyword tl_keyword contained le-float le-int16 le-int32 le-int64
syn keyword tl_keyword contained le-uint16 le-uint32 le-uint64 left
syn keyword tl_keyword contained len length length-< length-buf
syn keyword tl_keyword contained length-carray length-list length-list-< length-str
syn keyword tl_keyword contained length-str-< length-str-<= length-str-> length-str->=
syn keyword tl_keyword contained length-vec lequal less let
syn keyword tl_keyword contained let* letrec lexical-binding-kind lexical-fun-binding-kind
syn keyword tl_keyword contained lexical-fun-p lexical-lisp1-binding lexical-macro-p lexical-symacro-p
syn keyword tl_keyword contained lexical-var-p lflow lgamma lib-version
syn keyword tl_keyword contained link lisp-parse list list*
syn keyword tl_keyword contained list-carray list-seq list-str list-vec
syn keyword tl_keyword contained list-vector listp lnew lnew*
syn keyword tl_keyword contained load load-args-process load-args-recurse load-for
syn keyword tl_keyword contained load-time loand loff-t log
syn keyword tl_keyword contained log-alert log-auth log-authpriv log-cons
syn keyword tl_keyword contained log-crit log-daemon log-debug log-emerg
syn keyword tl_keyword contained log-err log-info log-ndelay log-notice
syn keyword tl_keyword contained log-nowait log-odelay log-perror log-pid
syn keyword tl_keyword contained log-user log-warning log10 log1p
syn keyword tl_keyword contained log2 logand logb logcount
syn keyword tl_keyword contained logior lognot logtest logtrunc
syn keyword tl_keyword contained logxor long long-suffix longjmp
syn keyword tl_keyword contained longlong lop lop1 lopf
syn keyword tl_keyword contained lopip lset lstat lutimes
syn keyword tl_keyword contained m$ m^ m^$ mac-env-param-bind
syn keyword tl_keyword contained mac-param-bind macro-ancestor macro-form-p macro-time
syn keyword tl_keyword contained macroexpand macroexpand-1 macroexpand-1-lisp1 macroexpand-1-place
syn keyword tl_keyword contained macroexpand-lisp1 macroexpand-match macroexpand-params macroexpand-place
syn keyword tl_keyword contained macroexpand-struct-clause macrolet madv-dodump madv-dofork
syn keyword tl_keyword contained madv-dontdump madv-dontfork madv-dontneed madv-free
syn keyword tl_keyword contained madv-hugepage madv-hwpoison madv-keeponfork madv-mergeable
syn keyword tl_keyword contained madv-nohugepage madv-normal madv-random madv-remove
syn keyword tl_keyword contained madv-sequential madv-unmergeable madv-willneed madv-wipeonfork
syn keyword tl_keyword contained madvise major make-buf make-buf-stream
syn keyword tl_keyword contained make-byte-input-stream make-catenated-stream make-env make-hash
syn keyword tl_keyword contained make-lazy-cons make-lazy-struct make-like make-package
syn keyword tl_keyword contained make-random-state make-similar-hash make-similar-tree make-string-byte-input-stream
syn keyword tl_keyword contained make-string-input-stream make-string-output-stream make-strlist-input-stream make-strlist-output-stream
syn keyword tl_keyword contained make-struct make-struct-delegate-stream make-struct-type make-sym
syn keyword tl_keyword contained make-time make-time-utc make-trie make-union
syn keyword tl_keyword contained make-zstruct makedev makunbound map
syn keyword tl_keyword contained map-anon map-command-buf map-command-lines map-command-str
syn keyword tl_keyword contained map-fixed map-growsdown map-huge-mask map-huge-shift
syn keyword tl_keyword contained map-hugetlb map-locked map-nonblock map-noreserve
syn keyword tl_keyword contained map-populate map-private map-process-buf map-process-lines
syn keyword tl_keyword contained map-process-str map-shared map-stack mapcar
syn keyword tl_keyword contained mapcar* mapdo mapf maphash
syn keyword tl_keyword contained mappend mappend* maprend maprod
syn keyword tl_keyword contained maprodo mask match match-case
syn keyword tl_keyword contained match-cond match-ecase match-error match-fboundp
syn keyword tl_keyword contained match-fun match-regex match-regex-right match-regst
syn keyword tl_keyword contained match-regst-right match-str match-str-tree match-tuple-case
syn keyword tl_keyword contained max mboundp md5 md5-begin
syn keyword tl_keyword contained md5-end md5-hash md5-stream member
syn keyword tl_keyword contained member-if memp memq memql
syn keyword tl_keyword contained memqual meq meql mequal
syn keyword tl_keyword contained merge merge-delete-package meth method
syn keyword tl_keyword contained min minor minusp mismatch
syn keyword tl_keyword contained mkdir mkdtemp mkfifo mknod
syn keyword tl_keyword contained mkstemp mkstring mlet mmakunbound
syn keyword tl_keyword contained mmap mod mode-t mprotect
syn keyword tl_keyword contained mref ms-async ms-invalidate ms-sync
syn keyword tl_keyword contained msync mul mul-each mul-each*
syn keyword tl_keyword contained mul-each-prod mul-each-prod* multi multi-sort
syn keyword tl_keyword contained munmap n-choose-k n-perm-k nand
syn keyword tl_keyword contained nandf nconc nearbyint neg
syn keyword tl_keyword contained neq neql nequal nested-vec
syn keyword tl_keyword contained nested-vec-of new new* nexpand-left
syn keyword tl_keyword contained nextafter nil nilf ninth
syn keyword tl_keyword contained nl0 nl1 nldly nlink-t
syn keyword tl_keyword contained noexpand noflsh none nor
syn keyword tl_keyword contained norf not notf nreconc
syn keyword tl_keyword contained nreverse nrot nshuffle nsort
syn keyword tl_keyword contained nth nthcdr nthlast null
syn keyword tl_keyword contained nullify num-chr num-str numberp
syn keyword tl_keyword contained nzerop o-accmode o-append o-async
syn keyword tl_keyword contained o-cloexec o-creat o-direct o-directory
syn keyword tl_keyword contained o-noatime o-noctty o-nofollow o-nonblock
syn keyword tl_keyword contained o-path o-rdonly o-rdwr o-sync
syn keyword tl_keyword contained o-trunc o-wronly oand obtain
syn keyword tl_keyword contained obtain* obtain*-block obtain-block ocrnl
syn keyword tl_keyword contained oddp ofdel off-t offsetof
syn keyword tl_keyword contained ofill olcuc onlcr onlret
syn keyword tl_keyword contained onocr op open-command open-directory
syn keyword tl_keyword contained open-file open-fileno open-files open-files*
syn keyword tl_keyword contained open-pipe open-process open-socket open-socket-pair
syn keyword tl_keyword contained open-subprocess open-tail opendir openlog
syn keyword tl_keyword contained opf opip opost opt
syn keyword tl_keyword contained opthelp opthelp-conventions opthelp-types or
syn keyword tl_keyword contained orf pack package-alist package-fallback-list
syn keyword tl_keyword contained package-foreign-symbols package-local-symbols package-name package-symbols
syn keyword tl_keyword contained packagep pad page-size pairlis
syn keyword tl_keyword contained parenb parmrk parodd parse-errors
syn keyword tl_keyword contained parse-infix partition partition* partition-by
syn keyword tl_keyword contained partition-if path-blkdev-p path-cat path-chrdev-p
syn keyword tl_keyword contained path-components-safe path-dir-empty path-dir-p path-equal
syn keyword tl_keyword contained path-executable-to-me-p path-exists-p path-file-p path-mine-p
syn keyword tl_keyword contained path-my-group-p path-newer path-older path-pipe-p
syn keyword tl_keyword contained path-private-to-me-p path-read-writable-to-me-p path-readable-to-me-p path-safe-sticky-dir
syn keyword tl_keyword contained path-same-object path-search path-sep-chars path-setgid-p
syn keyword tl_keyword contained path-setuid-p path-sock-p path-sticky-p path-strictly-private-to-me-p
syn keyword tl_keyword contained path-symlink-p path-writable-to-me-p pdec pendin
syn keyword tl_keyword contained perm permi pic pid-t
syn keyword tl_keyword contained pinc pipe place-form-p placelet
syn keyword tl_keyword contained placelet* plist-to-alist plusp poll
syn keyword tl_keyword contained poll-err poll-in poll-nval poll-out
syn keyword tl_keyword contained poll-pri poll-rdband poll-rdhup poll-wrband
syn keyword tl_keyword contained poly pop pop-after-load portable-abs-path-p
syn keyword tl_keyword contained pos pos-if pos-max pos-min
syn keyword tl_keyword contained posq posql posqual pppred
syn keyword tl_keyword contained ppred pprinl pprint pprof
syn keyword tl_keyword contained pred prinl print prod
syn keyword tl_keyword contained prof prog prog* prog1
syn keyword tl_keyword contained prog2 progf progn progv
syn keyword tl_keyword contained promisep prop proper-list-p proper-listp
syn keyword tl_keyword contained prot-exec prot-growsdown prot-growsup prot-none
syn keyword tl_keyword contained prot-read prot-write pset ptr
syn keyword tl_keyword contained ptr-in ptr-in-d ptr-out ptr-out-d
syn keyword tl_keyword contained ptr-out-s ptrdiff-t pub:txr-sym pure-rel-path-p
syn keyword tl_keyword contained purge-deferred-warning push push-after-load pushhash
syn keyword tl_keyword contained pushnew put-buf put-byte put-carray
syn keyword tl_keyword contained put-char put-csv put-json put-jsonl
syn keyword tl_keyword contained put-jsons put-line put-lines put-obj
syn keyword tl_keyword contained put-string put-strings pwd qquote
syn keyword tl_keyword contained qref quantile quip quote
syn keyword tl_keyword contained r$ r^ r^$ raise
syn keyword tl_keyword contained rand random random-buf random-fixnum
syn keyword tl_keyword contained random-float random-float-incl random-sample random-state-get-vec
syn keyword tl_keyword contained random-state-p range range* range-regex
syn keyword tl_keyword contained rangep rangeref rassoc rassq
syn keyword tl_keyword contained rassql rcomb rcombi rcons
syn keyword tl_keyword contained read read-objects read-once read-until-match
syn keyword tl_keyword contained readdir readlink real-time-stream-p realpath
syn keyword tl_keyword contained record-adapter reduce-left reduce-right ref
syn keyword tl_keyword contained refset regex-compile regex-from-trie regex-optimize
syn keyword tl_keyword contained regex-parse regex-prefix-match regex-source regexp
syn keyword tl_keyword contained register-exception-subtypes register-tentative-def regsub rehome-sym
syn keyword tl_keyword contained reject rel-path relate release-deferred-warnings
syn keyword tl_keyword contained remainder remhash remove remove-if
syn keyword tl_keyword contained remove-if* remove-path remove-path-rec remq
syn keyword tl_keyword contained remq* remql remql* remqual
syn keyword tl_keyword contained remqual* rename-path repeat replace
syn keyword tl_keyword contained replace-buf replace-env replace-list replace-str
syn keyword tl_keyword contained replace-struct replace-tree-iter replace-vec reset-struct
syn keyword tl_keyword contained rest ret retf return
syn keyword tl_keyword contained return* return-from revappend reverse
syn keyword tl_keyword contained rfind rfind-if right rint
syn keyword tl_keyword contained rlcp rlcp-tree rlet rlim-infinity
syn keyword tl_keyword contained rlim-saved-cur rlim-saved-max rlimit-as rlimit-core
syn keyword tl_keyword contained rlimit-cpu rlimit-data rlimit-fsize rlimit-nofile
syn keyword tl_keyword contained rlimit-stack rlink rlist rlist*
syn keyword tl_keyword contained rmdir rmember rmember-if rmemq
syn keyword tl_keyword contained rmemql rmemqual rmismatch rot
syn keyword tl_keyword contained rotate round round-rem rperm
syn keyword tl_keyword contained rpermi rplaca rplacd rpoly
syn keyword tl_keyword contained rpos rpos-if rposq rposql
syn keyword tl_keyword contained rposqual rr rra rsearch
syn keyword tl_keyword contained rslot rtld-deepbind rtld-global rtld-lazy
syn keyword tl_keyword contained rtld-local rtld-nodelete rtld-noload rtld-now
syn keyword tl_keyword contained run s-ifblk s-ifchr s-ifdir
syn keyword tl_keyword contained s-ififo s-iflnk s-ifmt s-ifreg
syn keyword tl_keyword contained s-ifsock s-irgrp s-iroth s-irusr
syn keyword tl_keyword contained s-irwxg s-irwxo s-irwxu s-isgid
syn keyword tl_keyword contained s-isuid s-isvtx s-iwgrp s-iwoth
syn keyword tl_keyword contained s-iwusr s-ixgrp s-ixoth s-ixusr
syn keyword tl_keyword contained save-exe sbit scalb scalbln
syn keyword tl_keyword contained scan-until-match search search-all search-regex
syn keyword tl_keyword contained search-regst search-str search-str-tree second
syn keyword tl_keyword contained seek-cur seek-end seek-set seek-stream
syn keyword tl_keyword contained select self-load-path self-path separate
syn keyword tl_keyword contained separate-keys seq-begin seq-like seq-next
syn keyword tl_keyword contained seq-reset seqp set set-diff
syn keyword tl_keyword contained set-hash-userdata set-indent set-indent-mode set-key
syn keyword tl_keyword contained set-left set-mask set-max-depth set-max-length
syn keyword tl_keyword contained set-package-fallback-list set-right set-sig-handler set-stack-limit
syn keyword tl_keyword contained setegid setenv seteuid setgid
syn keyword tl_keyword contained setgrent setgroups sethash setitimer
syn keyword tl_keyword contained setjmp setlogmask setpwent setresgid
syn keyword tl_keyword contained setresuid setrlimit setuid seventh
syn keyword tl_keyword contained sh sh-esc sh-esc-all sh-esc-dq
syn keyword tl_keyword contained sh-esc-sq sha1 sha1-begin sha1-end
syn keyword tl_keyword contained sha1-hash sha1-stream sha256 sha256-begin
syn keyword tl_keyword contained sha256-end sha256-hash sha256-stream shift
syn keyword tl_keyword contained short short-suffix shuffle shut-rd
syn keyword tl_keyword contained shut-rdwr shut-wr sig-abrt sig-alrm
syn keyword tl_keyword contained sig-atomic-t sig-bus sig-check sig-chld
syn keyword tl_keyword contained sig-cont sig-fpe sig-hup sig-ill
syn keyword tl_keyword contained sig-int sig-io sig-iot sig-kill
syn keyword tl_keyword contained sig-pipe sig-poll sig-prof sig-pwr
syn keyword tl_keyword contained sig-quit sig-segv sig-stkflt sig-stop
syn keyword tl_keyword contained sig-sys sig-term sig-trap sig-tstp
syn keyword tl_keyword contained sig-ttin sig-ttou sig-urg sig-usr1
syn keyword tl_keyword contained sig-usr2 sig-vtalrm sig-winch sig-xcpu
syn keyword tl_keyword contained sig-xfsz sign-extend significand signum
syn keyword tl_keyword contained sin sinh sixth size-t
syn keyword tl_keyword contained size-vec sizeof slet slot
syn keyword tl_keyword contained slotp slots slotset snsort
syn keyword tl_keyword contained so-acceptconn so-broadcast so-debug so-dontroute
syn keyword tl_keyword contained so-error so-keepalive so-linger so-oobinline
syn keyword tl_keyword contained so-rcvbuf so-rcvlowat so-rcvtimeo so-reuseaddr
syn keyword tl_keyword contained so-sndbuf so-sndlowat so-sndtimeo so-type
syn keyword tl_keyword contained sock-accept sock-bind sock-cloexec sock-connect
syn keyword tl_keyword contained sock-dgram sock-family sock-listen sock-nonblock
syn keyword tl_keyword contained sock-opt sock-peer sock-recv-timeout sock-send-timeout
syn keyword tl_keyword contained sock-set-opt sock-set-peer sock-shutdown sock-stream
syn keyword tl_keyword contained sock-type sockaddr-str socklen-t sol-socket
syn keyword tl_keyword contained some some-false some-true sort
syn keyword tl_keyword contained sort-group source-loc source-loc-str span-str
syn keyword tl_keyword contained special-operator-p special-var-p spl split
syn keyword tl_keyword contained split* split-str split-str-set spln
syn keyword tl_keyword contained sqrt square ssize-t ssort
syn keyword tl_keyword contained sspl sssucc ssucc starts-with
syn keyword tl_keyword contained stat static-slot static-slot-ensure static-slot-home
syn keyword tl_keyword contained static-slot-p static-slot-set stdlib str
syn keyword tl_keyword contained str-buf str-compress str-d str-decompress
syn keyword tl_keyword contained str-esc str-in6addr str-in6addr-net str-inaddr
syn keyword tl_keyword contained str-inaddr-net str-s str-seq str<
syn keyword tl_keyword contained str<= str= str> str>=
syn keyword tl_keyword contained stream-get-prop stream-set-prop streamp strerror
syn keyword tl_keyword contained string-extend string-finish string-get-code string-lt
syn keyword tl_keyword contained string-set-code stringp strsignal struct
syn keyword tl_keyword contained struct-from-args struct-from-plist struct-get-initfun struct-get-postinitfun
syn keyword tl_keyword contained struct-set-initfun struct-set-postinitfun struct-type struct-type-name
syn keyword tl_keyword contained struct-type-p structp sub sub-buf
syn keyword tl_keyword contained sub-list sub-str sub-tree sub-vec
syn keyword tl_keyword contained subq subql subqual subst
syn keyword tl_keyword contained subtypep succ sum sum-each
syn keyword tl_keyword contained sum-each* sum-each-prod sum-each-prod* super
syn keyword tl_keyword contained super-method suspend swap symacrolet
syn keyword tl_keyword contained symbol-function symbol-macro symbol-name symbol-package
syn keyword tl_keyword contained symbol-value symbolp symdiff symlink
syn keyword tl_keyword contained sys:%backpatch-high16% sys:%backpatch-low16% sys:%big-endian% sys:%bin-op%
syn keyword tl_keyword contained sys:%bin-ops% sys:%block-using-funs% sys:%call-op% sys:%const-foldable%
syn keyword tl_keyword contained sys:%const-foldable-funs% sys:%dbg-command-env% sys:%dbg-commands% sys:%effect-free%
syn keyword tl_keyword contained sys:%effect-free-funs% sys:%eval-cache% sys:%functional% sys:%functional-funs%
syn keyword tl_keyword contained sys:%gcall-op% sys:%lev-bits% sys:%lev-size% sys:%max-lambda-fixed-args%
syn keyword tl_keyword contained sys:%max-lev% sys:%max-lev-idx% sys:%max-sm-lev% sys:%max-sm-lev-idx%
syn keyword tl_keyword contained sys:%max-v-lev% sys:%nary-ops% sys:%oc-code% sys:%oc-hash%
syn keyword tl_keyword contained sys:%oc-list-builder% sys:%package-manip% sys:%param-info% sys:%quip-rand-state%
syn keyword tl_keyword contained sys:%quips% sys:%shuffled-quips% sys:%sm-lev-bits% sys:%sm-lev-size%
syn keyword tl_keyword contained sys:%test-funs% sys:%test-funs-neg% sys:%test-funs-ops% sys:%test-funs-pos%
syn keyword tl_keyword contained sys:%test-inv% sys:%test-opcode% sys:%tlo-ver% sys:*dedup*
syn keyword tl_keyword contained sys:*emit* sys:*esc-blocks* sys:*eval* sys:*ifx-env*
syn keyword tl_keyword contained sys:*in-compilation-unit* sys:*lazy-streams* sys:*load-recursive* sys:*load-time*
syn keyword tl_keyword contained sys:*match-form* sys:*op-ctx* sys:*pl-env* sys:*pl-form*
syn keyword tl_keyword contained sys:*struct-prelude* sys:*struct-prelude-alists* sys:*tail-fun* sys:*tail-pos*
syn keyword tl_keyword contained sys:*top-level* sys:*trace-hash* sys:*trace-level* sys:*unchecked-calls*
syn keyword tl_keyword contained sys:abscond* sys:abscond-from sys:add-neg-parens sys:analyze-argtypes
syn keyword tl_keyword contained sys:analyze-params sys:and-set sys:apply sys:arith-each
syn keyword tl_keyword contained sys:ash-set sys:asm-error sys:asr sys:asr-set
syn keyword tl_keyword contained sys:assumed-fun sys:autoload-try-fun sys:awk%--rng sys:awk%--rng+
syn keyword tl_keyword contained sys:awk%--rng- sys:awk%-rng+ sys:awk%rng+ sys:awk-code-move-check
syn keyword tl_keyword contained sys:awk-error sys:awk-expander sys:awk-field-name-code sys:awk-fun-let
syn keyword tl_keyword contained sys:awk-fun-shadowing-env sys:awk-mac-let sys:awk-mac-let-outer sys:awk-redir
syn keyword tl_keyword contained sys:awk-symac-let sys:awk-test sys:b* sys:b+
syn keyword tl_keyword contained sys:b- sys:b/ sys:b< sys:b<=
syn keyword tl_keyword contained sys:b= sys:b=> sys:b> sys:bexp-expand
syn keyword tl_keyword contained sys:bexp-parse sys:bexp-parse-brace sys:bind-mac-check sys:bind-mac-error
syn keyword tl_keyword contained sys:bindable-check sys:bits sys:bits-to-obj sys:blk
syn keyword tl_keyword contained sys:build-expander sys:can-inline-chain sys:capture-cont sys:careful-subst-preserve
syn keyword tl_keyword contained sys:catch sys:check sys:check-slot sys:check-struct
syn keyword tl_keyword contained sys:check-sym sys:circref sys:comma-positions sys:compat
syn keyword tl_keyword contained sys:compat-225 sys:compat-298 sys:compile-and-match sys:compile-as-match
syn keyword tl_keyword contained sys:compile-atom-match sys:compile-cons-structure sys:compile-exprs-match sys:compile-file-conditionally
syn keyword tl_keyword contained sys:compile-hash-match sys:compile-loop-match sys:compile-match sys:compile-new-var-match
syn keyword tl_keyword contained sys:compile-not-match sys:compile-or-match sys:compile-predicate-match sys:compile-range-match
syn keyword tl_keyword contained sys:compile-require-match sys:compile-scan-all-match sys:compile-scan-match sys:compile-struct-match
syn keyword tl_keyword contained sys:compile-var-match sys:compile-vec-match sys:compile-with-match sys:compiler-emit-warnings
syn keyword tl_keyword contained sys:conv sys:conv-expand sys:conv-expand-sym sys:conv-let
syn keyword tl_keyword contained sys:convert-t-b-jmps sys:ctx-form sys:ctx-name sys:dbg-all
syn keyword tl_keyword contained sys:dbg-backtrace sys:dbg-clear sys:dbg-enable sys:dbg-restore
syn keyword tl_keyword contained sys:dbg-set sys:dbg-step sys:debugger sys:debugger-help
syn keyword tl_keyword contained sys:dedup sys:dedup-labels sys:deffi-cb-expander sys:define-method
syn keyword tl_keyword contained sys:defset-expander sys:defset-expander-simple sys:detached-run sys:detect-infix
syn keyword tl_keyword contained sys:dig sys:disassemble-cdf sys:dlib-expr sys:do-conv
syn keyword tl_keyword contained sys:do-copy-obj sys:do-path-test sys:do-tweak-obj sys:dump-to-tlo
syn keyword tl_keyword contained sys:dvbind sys:dwim-del sys:dwim-set sys:dyn-size
syn keyword tl_keyword contained sys:each-match-expander sys:each-op sys:early-peephole sys:enc-small-op
syn keyword tl_keyword contained sys:ensure-op-arg sys:env-to-let sys:eq-comparable sys:eql-comparable
syn keyword tl_keyword contained sys:eval-cache-emit-warnings sys:eval-err sys:expand-and sys:expand-arith-each-prod
syn keyword tl_keyword contained sys:expand-bind-mac-params sys:expand-defmacro sys:expand-defsymacro sys:expand-defun
syn keyword tl_keyword contained sys:expand-defvarl sys:expand-dohash sys:expand-doloop sys:expand-each
syn keyword tl_keyword contained sys:expand-each-prod sys:expand-each-prod* sys:expand-handle sys:expand-lambda-match
syn keyword tl_keyword contained sys:expand-neg-parens sys:expand-param-macro sys:expand-params sys:expand-pic
syn keyword tl_keyword contained sys:expand-pic-align sys:expand-pic-num sys:expand-pic-num-commas sys:expand-quasi
syn keyword tl_keyword contained sys:expand-quasi-args sys:expand-quasi-match sys:expand-quasi-mods sys:expand-sym-ref
syn keyword tl_keyword contained sys:fbind sys:find-parent sys:flatten-or sys:fmt-flex
syn keyword tl_keyword contained sys:fmt-flex-fmstr sys:fmt-join sys:fmt-simple sys:fmt-simple-fmstr
syn keyword tl_keyword contained sys:for-op sys:gc sys:gc-set-delta sys:get-fun-getter-setter
syn keyword tl_keyword contained sys:get-levels-tregs sys:get-mb sys:get-param-info sys:get-place-macro
syn keyword tl_keyword contained sys:get-var-list sys:get-vars sys:get-vb sys:getopts-error
syn keyword tl_keyword contained sys:glob-xstar sys:handle-bad-syntax sys:handle-var-args sys:hlet-expand
syn keyword tl_keyword contained sys:hmac-impl sys:if*-match sys:if-to-cond sys:ifx-ops
syn keyword tl_keyword contained sys:ifx-uops sys:in6addr-condensed-text sys:infix-error sys:infix-expand-hook
syn keyword tl_keyword contained sys:inline-chain sys:inline-chain-rec sys:insert-commas sys:is-label
syn keyword tl_keyword contained sys:l1-setq sys:l1-val sys:lambda-apply-transform sys:lambda-excess-apply-list
syn keyword tl_keyword contained sys:lambda-short-apply-list sys:lambda-too-few-args sys:lambda-too-many-args sys:lbind
syn keyword tl_keyword contained sys:lisp1-setq sys:lisp1-value sys:list-builder-flets sys:list-from-vm-desc
syn keyword tl_keyword contained sys:load-time-lit sys:loc sys:logand-set sys:logior-set
syn keyword tl_keyword contained sys:logxor-set sys:loosen sys:lopip1 sys:mac-env-flatten
syn keyword tl_keyword contained sys:make-anon-package sys:make-command-env sys:make-copy-path-opts sys:make-struct-lit
syn keyword tl_keyword contained sys:make-struct-type sys:maproc-common sys:mark-special sys:match-case-to-casequal
syn keyword tl_keyword contained sys:match-pat-error sys:maybe-mov sys:meth-lambda sys:misleading-ref-check
syn keyword tl_keyword contained sys:mod-set sys:name-str sys:new-expander sys:new-type
syn keyword tl_keyword contained sys:no-dvbind-eval sys:non-triv-pat-p sys:normalize-enum-pairs sys:null-reg
syn keyword tl_keyword contained sys:obtain-impl sys:op-alpha-rename sys:op-ensure-rec sys:op-expand
syn keyword tl_keyword contained sys:op-meta-p sys:op-rec-p sys:open-url sys:operand-to-exp
syn keyword tl_keyword contained sys:operand-to-sym sys:opip-expand sys:opip-let-p sys:opip-single-let-p
syn keyword tl_keyword contained sys:opt-controlled-diag sys:opt-dash sys:opt-err sys:or-set
syn keyword tl_keyword contained sys:orig-form sys:os-symbol sys:param-check sys:parse-compound-operand
syn keyword tl_keyword contained sys:parse-lambda-match-clause sys:parse-operand sys:pat-len sys:path-access
syn keyword tl_keyword contained sys:path-simplify sys:path-split sys:path-test-mode sys:path-test-type
syn keyword tl_keyword contained sys:path-volume sys:pic-join-opt sys:placelet-1 sys:print-backtrace
syn keyword tl_keyword contained sys:propagate-ancestor sys:propagate-perms sys:prune-missing-inits sys:put-objects
syn keyword tl_keyword contained sys:qquote sys:quasi sys:quasilist sys:r-s-let-expander
syn keyword tl_keyword contained sys:reduce-constant sys:reduce-lisp sys:reduce-or sys:reg-expand-nongreedy
syn keyword tl_keyword contained sys:register-opcode sys:register-simple-accessor sys:repl sys:rewrite
syn keyword tl_keyword contained sys:rplaca sys:rplacd sys:rslotset sys:rt-assert-fail
syn keyword tl_keyword contained sys:rt-defmacro sys:rt-defsymacro sys:rt-defun sys:rt-defv
syn keyword tl_keyword contained sys:rt-defvarl sys:rt-load-for sys:rt-pprof sys:rt-progv
syn keyword tl_keyword contained sys:rt-setjmp sys:safe-abs-path sys:safe-const-eval sys:safe-const-reduce
syn keyword tl_keyword contained sys:safe-constantp sys:set-hash-traversal-limit sys:set-macro-ancestor sys:set-symbol-value
syn keyword tl_keyword contained sys:setq sys:setqf sys:simplify-or sys:simplify-variadic-lambda
syn keyword tl_keyword contained sys:slot-types sys:small-op-p sys:small-op-to-sym sys:static-slot-types
syn keyword tl_keyword contained sys:str-inaddr-net-impl sys:struct-lit sys:subst-preserve sys:switch
syn keyword tl_keyword contained sys:sym-clobber-expander sys:sym-delete-expander sys:sym-update-expander sys:system-symbol-p
syn keyword tl_keyword contained sys:top-fb sys:top-mb sys:top-vb sys:tr*
syn keyword tl_keyword contained sys:trace sys:trace-canonicalize-name sys:trace-enter sys:trace-leave
syn keyword tl_keyword contained sys:trace-redefine-check sys:transform-qquote sys:translate-hash-bang sys:tree-construct
syn keyword tl_keyword contained sys:trfm sys:true-const-p sys:txr-case-impl sys:typecase-expander
syn keyword tl_keyword contained sys:untrace sys:upenv sys:uw-block sys:uw-captured-block
syn keyword tl_keyword contained sys:uw-catch sys:uw-cont-copy sys:uw-eval sys:uw-expand
syn keyword tl_keyword contained sys:uw-fcall sys:uw-guard sys:uw-handle sys:uw-menv
syn keyword tl_keyword contained sys:var-pat-p sys:vars-check sys:vm-closure-desc sys:vm-closure-entry
syn keyword tl_keyword contained sys:vm-desc-bytecode sys:vm-desc-datavec sys:vm-desc-nlevels sys:vm-desc-nregs
syn keyword tl_keyword contained sys:vm-desc-symvec sys:vm-execute-toplevel sys:vm-make-desc sys:wdwrap
syn keyword tl_keyword contained sys:when-opt sys:with-disabled-debugging sys:with-dyn-lib-check syslog
syn keyword tl_keyword contained system-package t tab0 tab1
syn keyword tl_keyword contained tab2 tab3 tabdly tagbody
syn keyword tl_keyword contained tailp take take-until take-while
syn keyword tl_keyword contained tan tanh tap tb
syn keyword tl_keyword contained tc tcdrain tcflow tcflush
syn keyword tl_keyword contained tcgetattr tciflush tcioff tcioflush
syn keyword tl_keyword contained tcion tcoflush tcooff tcoon
syn keyword tl_keyword contained tcp-nodelay tcsadrain tcsaflush tcsanow
syn keyword tl_keyword contained tcsendbreak tcsetattr tentative-def-exists tenth
syn keyword tl_keyword contained test-clear test-clear-dirty test-dec test-dirty
syn keyword tl_keyword contained test-inc test-neq-set-indent-mode test-set test-set-indent-mode
syn keyword tl_keyword contained tf tgamma third throw
syn keyword tl_keyword contained throwf time time-fields-local time-fields-utc
syn keyword tl_keyword contained time-nsec time-parse time-parse-local time-parse-utc
syn keyword tl_keyword contained time-str-local time-str-utc time-string-local time-string-utc
syn keyword tl_keyword contained time-struct-local time-struct-utc time-t time-usec
syn keyword tl_keyword contained tmpfile tnode tnodep to
syn keyword tl_keyword contained tocsv tofloat tofloatz toint
syn keyword tl_keyword contained tointz tojson tok tok-str
syn keyword tl_keyword contained tok-where tokn tostop tostring
syn keyword tl_keyword contained tostringp touch tprint trace
syn keyword tl_keyword contained transpose tree tree-begin tree-bind
syn keyword tl_keyword contained tree-case tree-clear tree-count tree-del-min
syn keyword tl_keyword contained tree-del-min-node tree-delete tree-delete-node tree-delete-specific-node
syn keyword tl_keyword contained tree-find tree-insert tree-insert-node tree-lookup
syn keyword tl_keyword contained tree-lookup-node tree-min tree-min-node tree-next
syn keyword tl_keyword contained tree-peek tree-reset tree-root treep
syn keyword tl_keyword contained trie-add trie-compress trie-lookup-begin trie-lookup-feed-char
syn keyword tl_keyword contained trie-value-at trim-left trim-long-suffix trim-path-seps
syn keyword tl_keyword contained trim-right trim-short-suffix trim-str true
syn keyword tl_keyword contained trunc trunc-rem truncate-stream tuples
syn keyword tl_keyword contained tuples* txr-case txr-exe-path txr-if
syn keyword tl_keyword contained txr-parse txr-path txr-version txr-when
syn keyword tl_keyword contained typecase typedef typeof typep
syn keyword tl_keyword contained ubit uchar uid-t uint
syn keyword tl_keyword contained uint-buf uint-carray uint-ptr-t uint16
syn keyword tl_keyword contained uint32 uint64 uint8 uintmax-t
syn keyword tl_keyword contained ulong ulonglong umask umeth
syn keyword tl_keyword contained umethod uname unget-byte unget-char
syn keyword tl_keyword contained uni unintern union union-get
syn keyword tl_keyword contained union-in union-members union-out union-put
syn keyword tl_keyword contained uniq unique unless unsetenv
syn keyword tl_keyword contained until until* untrace unuse-package
syn keyword tl_keyword contained unuse-sym unwind-protect upcase-str upd
syn keyword tl_keyword contained update uref url-decode url-encode
syn keyword tl_keyword contained use use-package use-sym use-sym-as
syn keyword tl_keyword contained user-package ushort usl usleep
syn keyword tl_keyword contained uslot utimes val vdiscard
syn keyword tl_keyword contained vec vec-carray vec-list vec-push
syn keyword tl_keyword contained vec-seq vec-set-length vecref vector
syn keyword tl_keyword contained vector-list vectorp veof veol
syn keyword tl_keyword contained veol2 verase vintr vkill
syn keyword tl_keyword contained vlnext vm-fun-p vmin void
syn keyword tl_keyword contained vquit vreprint vstart vstop
syn keyword tl_keyword contained vsusp vswtc vt0 vt1
syn keyword tl_keyword contained vtdly vtime vwerase w-continued
syn keyword tl_keyword contained w-coredump w-exitstatus w-ifcontinued w-ifexited
syn keyword tl_keyword contained w-ifsignaled w-ifstopped w-nohang w-stopsig
syn keyword tl_keyword contained w-termsig w-untraced wait wchar
syn keyword tl_keyword contained weave when when-match whena
syn keyword tl_keyword contained whenlet where wheref whereq
syn keyword tl_keyword contained whereql wherequal while while*
syn keyword tl_keyword contained while-match while-match-case while-true-match-case whilet
syn keyword tl_keyword contained width width-check window-map window-mapdo
syn keyword tl_keyword contained window-mappend wint-t with-clobber-expander with-compilation-unit
syn keyword tl_keyword contained with-compile-opts with-delete-expander with-dyn-lib with-gensyms
syn keyword tl_keyword contained with-hash-iter with-in-buf-stream with-in-string-byte-stream with-in-string-stream
syn keyword tl_keyword contained with-objects with-out-buf-stream with-out-string-stream with-out-strlist-stream
syn keyword tl_keyword contained with-resources with-slots with-stream with-update-expander
syn keyword tl_keyword contained wrap wrap* wstr wstr-d
syn keyword tl_keyword contained wstr-s xcase y0 y1
syn keyword tl_keyword contained yield yield-from yn zap
syn keyword tl_keyword contained zarray zchar zero-fill zerop
syn keyword tl_keyword contained zip znew

syn keyword txr_keyword contained accept all and assert
syn keyword txr_keyword contained bind block call cases
syn keyword txr_keyword contained cat catch choose chr
syn keyword txr_keyword contained close coll collect data
syn keyword txr_keyword contained defex deffilter define do
syn keyword txr_keyword contained elif else empty end
syn keyword txr_keyword contained eof eol fail filter
syn keyword txr_keyword contained finally first flatten forget
syn keyword txr_keyword contained freeform fuzz gather if
syn keyword txr_keyword contained include last line load
syn keyword txr_keyword contained local maybe merge mod
syn keyword txr_keyword contained modlast name next none
syn keyword txr_keyword contained or output push rebind
syn keyword txr_keyword contained rep repeat require set
syn keyword txr_keyword contained single skip some text
syn keyword txr_keyword contained throw trailer try until
syn keyword txr_keyword contained var
syn match txr_at "\(@[ \t]*\)" nextgroup=txr_error,txr_atat,txr_comment,txr_contin,txr_char,txr_error,txr_char,txr_regdir,txr_variable,txr_splicevar,txr_metanum,txr_directive,txr_bracevar,txr_bracket
syn match txr_error "[*]\?[\t ]*." contained
syn match txr_atat "@" contained
syn match txr_comment "[#;].*" contained
syn match txr_contin "\\$" contained
syn match txr_char "\\." contained
syn match txr_error "\\[xo]" contained
syn match txr_char "\\x[0-9A-Fa-f]\+;\?" contained
syn match txr_char "\\[0-7]\+;\?" contained
syn match txr_regdir "/\(\\/\|[^/]\|\\\n\)*/" contained
syn match txr_nested_error "[^\t ]\+" contained
syn match txr_variable "[*]\?[ \t]*[A-Za-z_][A-Za-z_0-9]*" contained
syn match txr_splicevar "[ \t,*@]*[A-Za-z_][A-Za-z_0-9]*" contained
syn match txr_metanum "\(@[ \t]*\)\+[0-9]\+" contained
syn match txr_badesc "\\." contained
syn match txr_escat "\\@" contained
syn match txr_stresc "\\[abtnvfre\\ "`']" contained
syn match txr_numesc "\\x[0-9A-Fa-f]\+;\?" contained
syn match txr_numesc "\\[0-7]\+;\?" contained
syn match txr_regesc "\\[abtnvfre\\ /sSdDwW()\|.*?+~&%\[\]\-]" contained

syn match tl_error "#[^HSRTN]" contained

syn match txr_chr "#\\x[0-9A-Fa-f]\+" contained
syn match txr_chr "#\\o[0-7]\+" contained
syn match txr_chr "#\\[^ \t\nA-Za-z_0-9]" contained
syn match txr_chr "#\\[A-Za-z_0-9]\+" contained
syn match txr_ncomment ";.*" contained

syn match txr_hashbang "\%^#!.*"

syn match txr_qat "\(@[ \t]*\)\(\~\([\^<>]\?[0-9]*\(,[+\-0 ]*[0-9]*\)\?\)\?[asdxXobfepi]:\)\?" nextgroup=txr_splicevar,txr_metanum,txr_qbracevar,txr_list,txr_bracket,txr_escat,txr_stresc,txr_numesc,txr_badesc contained
syn match txr_dot "\." contained
syn match txr_ident "[A-Za-z_0-9!$%&*+\-<=>?\\_|~]*[A-Za-z_!$%&*+\-<=>?\\_|~^][A-Za-z_0-9!$%&*+\-<=>?\\_|~^]*" contained
syn match txr_braced_ident "\(#\?:\)\?[[A-Za-z_0-9!$%&*+\-<=>?\\_|~^/]\+" contained
syn match tl_ident "#\?:" contained
syn match tl_ident "\(#\?:\)\?[A-Za-z_0-9!$%&*+\-<=>?\\_|~/]\+[A-Za-z_0-9!$%&*+\-<=>?\\_|~^/#]*" contained
syn match txr_pnum "#[xob][+\-]\?[A-Za-z_0-9,]\+" contains=txr_xnum,txr_bnum,txr_onum contained
syn match txr_xnum "#x[+\-]\?\([0-9A-Fa-f][,0-9A-Fa-f]*[0-9A-Fa-f]\|[0-9A-Fa-f]\)" containedin=txr_pnum contained
syn match txr_onum "#o[+\-]\?\([0-7][,0-7]*[0-7]\|[0-7]\)" containedin=txr_pnum contained
syn match txr_bnum "#b[+\-]\?\([01][,01]*[01]\|[01]\)" containedin=txr_pnum contained
syn match txr_num "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)" contained
syn match txr_num "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)\?[.]\([0-9][,0-9]*[0-9]\|[0-9]\)\([eE][+\-]\?[0-9]\+\)\?" contained
syn match txr_num "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)[.]\?\([eE][+\-]\?[0-9]\+\)" contained
syn match txr_badnum "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)\?[.]\([0-9][,0-9]*[0-9]\|[0-9]\)\([A-DF-Za-dfz_!$%&*+\-<=>?\\_|~^/#]\|[eE][^+\-0-9]\|[eE][+/-]\?$\|[eE][+\-][^0-9]\)" contained
syn match txr_badnum "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)[.]\?\([A-DF-Za-dfz_!$%&*+\-<=>?\\_|~^/#]\|[eE][^+\-0-9]\|[eE][+/-]\?$\|[eE][+\-][^0-9]\)" contained
syn match tl_splice "[ \t,]\|,[*]" contained

syn match txr_unquote "," contained
syn match txr_splice ",\*" contained
syn match txr_quote "'" contained
syn match txr_quote "\^" contained
syn match txr_dotdot "\.\." contained
syn match txr_metaat "@" contained

syn match txr_buf_error "[^']" contained
syn match txr_buf_interior "\([0-9A-Fa-f][\n\t ]*[0-9A-Fa-f]\|[\n\t ]\+\)" contained

syn region txr_bracevar contained matchgroup=Delimiter start="[*]\?{" matchgroup=Delimiter end="}" contains=txr_num,txr_pnum,tl_ident,tl_splice,tl_metanum,txr_metaat,txr_circ,txr_braced_ident,txr_dot,txr_dotdot,txr_string,txr_list,txr_bracket,txr_regex,tl_regex,txr_quasilit,txr_chr,txr_nested_error
syn region txr_qbracevar contained matchgroup=Delimiter start="[*]\?{" matchgroup=Delimiter end="}" contains=txr_num,txr_pnum,tl_ident,tl_splice,tl_metanum,txr_metaat,txr_circ,txr_braced_ident,txr_dot,txr_dotdot,txr_string,txr_list,txr_bracket,txr_regex,tl_regex,txr_quasilit,txr_chr,txr_nested_error
syn region txr_directive contained matchgroup=Delimiter start="(" matchgroup=Delimiter end=")" contains=txr_keyword,txr_string,txr_list,txr_bracket,txr_quasilit,txr_num,txr_pnum,txr_badnum,tl_ident,tl_regex,txr_string,txr_chr,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_ncomment,txr_nested_error
syn region txr_list contained matchgroup=Delimiter start="\(#[HSRTN]\?\)\?(" matchgroup=Delimiter end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_bracket contained matchgroup=Delimiter start="\[" matchgroup=Delimiter end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_string contained start=+#\?\*\?"+ skip=+\\\n+ end=+["\n]+ contains=txr_stresc,txr_numesc,txr_badesc
syn region txr_quasilit contained start=+#\?\*\?`+ skip=+\\\n+ end=+[`\n]+ contains=txr_qat,txr_stresc,txr_numesc,txr_badesc
syn region txr_regex contained start="/" skip=+\\\n+ end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc
syn region tl_regex contained start="#/" skip=+\\\n+ end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc
syn region txr_buf contained matchgroup=txr_buf start="#b'" end="'" contains=txr_buf_interior,txr_buf_error
syn region txr_ign contained matchgroup=Comment start="#;" end="[ \(\)\[\]]"me=e   contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_ign contained matchgroup=Comment start="#;[ \t',^@]*\(#[HSRTN]\?\)\?(" matchgroup=Comment end=")" contains=txr_ign_interior
syn region txr_ign contained matchgroup=Comment start="#;[ \t',^@]*\(#[HSRTNJ]\?\)\?\[" matchgroup=Comment end="\]" contains=txr_ign_interior
syn region txr_ign_json contained matchgroup=Comment start="#;[ \t',^@]*#J[~^]*{" matchgroup=Comment end="}" contains=txr_ign_interior
syn region txr_ign_json contained matchgroup=Comment start="#;[ \t',^@]*#J[~^]*\[" matchgroup=Comment end="\]" contains=txr_ign_interior
syn region txr_ign_json contained matchgroup=Comment start="#;[ \t',^@]*#J[~^]*(" matchgroup=Comment end=")" contains=txr_ign_interior
syn region txr_ign_interior contained matchgroup=Comment start="(" matchgroup=Comment end=")" contains=txr_ign_interior
syn region txr_ign_interior contained matchgroup=Comment start="\[" matchgroup=Comment end="\]" contains=txr_ign_interior
syn region txr_ign_interior contained matchgroup=Comment start="{" matchgroup=Comment end="}" contains=txr_ign_interior

syn match txr_jerr "." contained
syn match txr_jpunc "[,: \t\n]" contained
syn match txr_jesc "\\[bfnrt"\\/]" contained
syn match txr_juesc "\\u[0-9A-Fa-f][0-9A-Fa-f][0-9A-Fa-f][0-9A-Fa-f]" contained
syn match txr_jnum "-\?\(0\|[1-9][0-9]*\)\([.][0-9]\+\)\?\([Ee][+-]\?[0-9]\+\)\?" contained
syn match txr_jkeyword "true\|false\|null" contained

syn region txr_jatom contained matchgroup=Delimiter start="#J\^\?[\t\n ]*"rs=e end="[\t\n ]\|[\])}]"re=e-1 contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_junqtok contained matchgroup=Delimiter start="\~" end="[ \(\)\[\]{}]"re=s contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_junqlist contained matchgroup=Delimiter start="\~\*\?#\?(" end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_junqbkt contained matchgroup=Delimiter start="\~\*\?\[" end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_jstring contained matchgroup=Delimiter start=+"+ end=+["\n]+ contains=txr_jesc,txr_juesc,txr_badesc
syn region txr_jarray contained matchgroup=Delimiter start="#J\^\?[\t\n ]*\[" matchgroup=Delimiter end="\]" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jhash contained matchgroup=Delimiter start="#J\^\?[\t\n ]*{" matchgroup=Delimiter end="}" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jarray_in contained matchgroup=Delimiter start="\[" end="\]" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jhash_in contained matchgroup=Delimiter start="{" end="}" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr

syn match txr_circ "#[0-9]\+[#=]" contained

hi def link txr_at Special
hi def link txr_atstar Special
hi def link txr_atat Special
hi def link txr_qat Special
hi def link txr_comment Comment
hi def link txr_ncomment Comment
hi def link txr_hashbang Preproc
hi def link txr_contin Preproc
hi def link txr_char String
hi def link txr_keyword Keyword
hi def link tl_keyword Type
hi def link txr_string String
hi def link txr_chr String
hi def link txr_quasilit String
hi def link txr_regex String
hi def link tl_regex String
hi def link txr_regdir String
hi def link txr_variable Identifier
hi def link txr_splicevar Identifier
hi def link txr_metanum Identifier
hi def link txr_escat Special
hi def link txr_stresc Special
hi def link txr_numesc Special
hi def link txr_regesc Special
hi def link txr_badesc Error
hi def link txr_ident Identifier
hi def link tl_ident Identifier
hi def link txr_num Number
hi def link txr_xnum Number
hi def link txr_bnum Number
hi def link txr_onum Number
hi def link txr_badnum Error
hi def link txr_pnum Error
hi def link txr_quote Special
hi def link txr_unquote Special
hi def link txr_splice Special
hi def link txr_dot Special
hi def link txr_dotdot Special
hi def link txr_metaat Special
hi def link txr_circ Special
hi def link txr_munqspl Special
hi def link tl_splice Special
hi def link txr_error Error
hi def link tl_error Error
hi def link txr_nested_error Error
hi def link txr_buf String
hi def link txr_buf_interior String
hi def link txr_buf_error Error
hi def link txr_ign_interior Comment
hi def link txr_ign Comment
hi def link txr_ign_json Comment

hi def link txr_jkeyword Type
hi def link txr_jnum Number
hi def link txr_jstring String
hi def link txr_jesc Special
hi def link txr_juesc Special
hi def link txr_jpunc Special
hi def link txr_jerr Error

let b:current_syntax = "lisp"

set lispwords=%pi%,*place-delete-expander*,*pprint-flo-format*,*struct-clause-expander*,*txr-version*,-,abs,add-suffix,ado,af-inet,all,allocate-struct,append-each-prod*,array,asin,base-name,base64-stream-dec,be-int32,bs1,buf-count-ones,buf-get-double,buf-put-buf,buf-test,build-list,buildn,butlastn,caaddar,cadadr,caddadr,call-super-fun,carray-blank,carray-dup,carray-pun,carray-replace,casequal*,catch*,cbrt,cdaaadr,cdaaddr,cdaar,cddaadr,cddar,chr-int,chr-isalnum,chr-ispunct,clamp,clockid-t,closelog,closure,comb,command-get-buf,command-put,compare-swap,compile-defr-warning,compile-warning,condlet,cons,cons-count,consp,contain[s],copy-fun,countqual,cptr-buf,cptr-free,cptr-obj,cr1,cs6,cyr,deffi-cb-unsafe,defun-match,dir-name,dlclose,dlsym,doloop*,dt-dir,dt-fifo,each,ealready,ebusy,echoctl,echonl,emlink,endgrent,endpwent,enolck,enolink,enotempty,ensure-dir,env-vbindings,error,etime,etypecase,eval,ewouldblock,exit*,extproc,f-getfd,false,fboundp,fd-cloexec,ffi-offsetof,ffi-put-into,ffi-typedef,file-get-json,file-place-buf,fill-vec,fixnump,flatten*,flet,flo-up,ftw-skip-siblings,fun-variadic,gen-hash-seed,get-clobber-expander,get-csv,get-indent,get-sig-handler,get-stack-limit,get-string,getgrgid,getpwent,glob-altdirfunc,glob-nosort,glob-onlydir,go,gun,handler-bind,hash-alist,hash-equal,hash-keys,hash-keys-of,hash-seq,hash-subset,hash-uni,have,in-range*,in6addr-any,inc-indent,inhash,int64,integerp,ipproto-ipv6,itimer-prof,itimer-real,iuclc,keep,lazy-str-force-upto,lcm,le-int16,length,letrec,lib-version,list-carray,list-vec,log-err,log-warning,long-suffix,lopip,m^$,mac-env-param-bind,macroexpand-match,madv-random,madv-remove,madv-willneed,make-string-input-stream,maprend,maprodo,mask,match-error,match-tuple-case,meql,mismatch,nandf,nested-vec-of,nlink-t,noflsh,notf,nthlast,o-append,o-async,oand,obtain*,obtain*-block,off-t,onlcr,pairlis,parenb,path-blkdev-p,path-safe-sticky-dir,plist-to-alist,poll-nval,poll-out,poll-rdhup,pos-max,prog*,progf,proper-listp,prot-growsdown,prot-write,ptr,ptr-in,put-lines,qquote,quip,quote,random-state-get-vec,rangep,readdir,real-time-stream-p,realpath,record-adapter,ref,register-tentative-def,regsub,rehome-sym,revappend,rmember-if,rposql,rsearch,rtld-deepbind,s-ifsock,s-irwxo,s-iwgrp,s-iwusr,search-all,set-max-length,set-package-fallback-list,setenv,seteuid,sha256-stream,sig-abrt,sig-pipe,sig-quit,sig-winch,so-sndtimeo,sock-nonblock,sock-peer,some,some-false,ssort,str<,struct-from-args,struct-from-plist,structp,sub-buf,subst,suspend,symbol-name,symbol-value,symbolp,symdiff,sys:%bin-ops%,sys:%call-op%,sys:%dbg-commands%,sys:%eval-cache%,sys:%max-lev%,sys:%oc-list-builder%,sys:%tlo-ver%,sys:*in-compilation-unit*,sys:*load-time*,sys:*op-ctx*,sys:and-set,sys:assumed-fun,sys:awk-redir,sys:bexp-parse,sys:capture-cont,sys:compile-exprs-match,sys:compile-or-match,sys:compile-range-match,sys:compile-var-match,sys:conv-expand-sym,sys:conv-let,sys:dedup,sys:dedup-labels,sys:do-conv,sys:each-match-expander,sys:expand-defsymacro,sys:expand-defvarl,sys:expand-handle,sys:expand-lambda-match,sys:expand-neg-parens,sys:expand-sym-ref,sys:find-parent,sys:op-meta-p,sys:print-backtrace,sys:propagate-ancestor,sys:register-simple-accessor,sys:slot-types,sys:static-slot-types,sys:txr-case-impl,take-until,tcflush,tcoon,tenth,time-fields-local,time-parse-local,time-struct-local,time-usec,tok,touch,transpose,tree-clear,tree-count,tree-del-min,trim-str,tuples,typedef,uint32,ulonglong,umethod,union-get,unique,update,vector,vector-list,verase,vsusp,vtdly,w-ifstopped,w-termsig,wait,wchar,whenlet,wheref,whereql,window-map,with-objects,with-out-strlist-stream,with-update-expander,yn,zarray,zchar,znew,:method,:function,:init,:postinit,:fini
set comments=:@\;\;\;,:@\;\;,:@\;
